/**
 * 绑定新浪微博
 */
DGC.View.DShareToSina =  $.inherits(DGC.View, {

    baseId: 'mebind-sina',

    /**
     * 发送weibo信息
     */
    message: "",

    /**
     * SNS上传图片
     * @type String
     */
    picture: "",

    /**
     * 视图初始化函数
     */
    viewReady: function(){
        var ATTR = DH.ATTR,
            DAU = DGC.ActionUtil;

        DAU.fullScreen(true);
        DAU.transparentBG();

        if(!DGC.Helper.isLogined()){
            //提示并刷新
            DAU.showTipMsg(resName.TEXT_OFFLINE_LOGIN_FAIL, function(){
                DAU.returnToGame();
            });
            return false;
        }

        var params  = {
            meModel : this.action.model['me'] ,
            maskTransparent: true,
            //关闭窗口回调
            cancelCallBack : function(){
                //手动关闭窗口回退游戏界面
                DGC.ActionUtil.returnToGame();
            }
        };

        //未绑定
        if(!DH.isSNSBound(ATTR.BIND_KEY.SINA)){
            $.extend(params, {
                bindSuccess : $.bindFn(this.sendSinaMsg, this) //绑定成功后执行
            });
        //过期重绑定
        }else if(DH.isSNSBound(ATTR.BIND_KEY.SINA) && DH.isSNSExpried(ATTR.BIND_KEY.SINA)){
            $.extend(params, {
                relogin: true,
                reloginSuccess : $.bindFn(this.sendSinaMsg, this) //重验证后成功后执行
            });
        }

        this.action.showDialog(
            "SinaDialog",
            params,
            function(name, params){
                //弹出绑定的Dialog
                this.sina = new DGC.Dialog[name](params);
                this.sina.show();
            },
            this);
    },

    /**
     * 定义View需要监听的Model事件
     */
    defineRegisters: function(){
        this.msgEvents = {
            "me":{
                "bindsinasuccess":{
                    fnName: "loginSuccess",
                    context: "sina"
                },
                "sycsina":{
                    fnName: "sycPlayerSuccess",
                    context: "sina"
                },
                "snssharecontent":{
                    fnName: "contentReady",
                    context: "shareWin"
                },
                "snssharesuccess":{
                    fnName: "sendSNSSuccess",
                    context: "shareWin"
                },
                "localsnsshared":{
                    fnName: "sendSinaSuccess"
                }
            }
        }
    },

    /**
     * 发送新浪微博
     */
    sendSinaMsg: function(){
        if($.isEmpty(this.message)){ //字符串为空直接返回
           DGC.ActionUtil.returnToGame();
           return false;
        }

        this.action.model['me'].updateLocalSNSShare({
            type: 1 /*新浪*/,
            content: this.message,
            picture: this.picture
        });
    },

    /**
     * 发送分享新浪微博成功
     */
    sendSinaSuccess: function(result, msg){
        var DAU = DGC.ActionUtil,
            msg = result ? resName.TIP_SHAREGAME_SHARE_SUCCESS: msg.error;
        DAU.showTipMsg(msg, function(){
            DAU.returnToGame();
        });
    },


    onDestory: function(){
        //释放窗口引用
        if(this.sina){
            this.sina.destory();
        }
        this.sina = null;
    }

});